# Uses of Interface
org.eclipse.jface.viewers.IOpenListener

Packages that use IOpenListener
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.

## Uses of IOpenListener in org.eclipse.compare

Classes in org.eclipse.compare that implement IOpenListener
Modifier and Type
Class
Description
`class`
`CompareViewerPane`
A `CompareViewerPane` is a convenience class which installs a `CLabel` and a `Toolbar` in a `ViewForm`.
`class`
`CompareViewerSwitchingPane`
A custom `CompareViewerPane` that supports dynamic viewer switching.
Methods in org.eclipse.compare with parameters of type IOpenListener
Modifier and Type
Method
Description
`void`
CompareViewerPane.`addOpenListener(IOpenListener listener)`
Add an open listener to the pane.
`void`
CompareViewerPane.`removeOpenListener(IOpenListener listener)`
Remove an open listener.

## Uses of IOpenListener in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type IOpenListener
Modifier and Type
Method
Description
`void`
StructuredViewer.`addOpenListener(IOpenListener listener)`
Adds a listener for selection-open in this viewer.
`void`
StructuredViewer.`removeOpenListener(IOpenListener listener)`
Removes the given open listener from this viewer.